Package org.apache.lucene.util.hnsw

## Interface RandomAccessVectorValues.Bytes

- All Superinterfaces:
    `RandomAccessVectorValues`
  All Known Subinterfaces:
    `RandomAccessQuantizedByteVectorValues`
  All Known Implementing Classes:
    `OffHeapByteVectorValues`, `OffHeapByteVectorValues.DenseOffHeapVectorValues`, `OffHeapQuantizedByteVectorValues`, `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`
  Enclosing interface:
    RandomAccessVectorValues

      public static interface RandomAccessVectorValues.Bytes
      extends RandomAccessVectorValues

  Byte vector values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.util.hnsw.RandomAccessVectorValues

      `RandomAccessVectorValues.Bytes, RandomAccessVectorValues.Floats`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomAccessVectorValues.Bytes` | `copy()` | Creates a new copy of this `RandomAccessVectorValues`.
    `default int` | `getVectorByteLength()` | Returns the vector byte length, defaults to dimension multiplied by byte size
    `byte[]` | `vectorValue​(int targetOrd)` | Return the vector value indexed at the given ordinal.

    - ### Methods inherited from interface org.apache.lucene.util.hnsw.RandomAccessVectorValues

      `dimension, getAcceptOrds, getSlice, ordToDoc, size`

- - ### Method Detail

    - #### copy

          RandomAccessVectorValues.Bytes copy()
                                       throws IOException

      Description copied from interface: `RandomAccessVectorValues`
      Creates a new copy of this `RandomAccessVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying vector returned.
      Specified by:
        `copy` in interface `RandomAccessVectorValues`
      Throws:
        `IOException`

    - #### vectorValue

          byte[] vectorValue​(int targetOrd)
                      throws IOException

      Return the vector value indexed at the given ordinal.
      Parameters:
        `targetOrd` - a valid ordinal, ≥ 0 and < `RandomAccessVectorValues.size()`.
      Throws:
        `IOException`

    - #### getVectorByteLength

          default int getVectorByteLength()

      Returns the vector byte length, defaults to dimension multiplied by byte size
      Specified by:
        `getVectorByteLength` in interface `RandomAccessVectorValues`